Table of Contents

Class: Process | Twisted-0.19.0/twisted/internet/win32eventreactor.py
--- | ---
- ### A process that integrates with the Twisted event loop. #### If your subprocess is a python program, you need to: Run python.exe with the `-u` command line option - this turns on unbuffered I/O. Buffering stdout/err/in can cause problems, see e.g. http://support.microsoft.com/default.aspx?scid=kb;EN-US;q1903 If you don't want Windows messing with data passed over stdin/out/err, set the pipes to be in binary mode:
              import os, sys, mscvrt
              msvcrt.setmode(sys.stdin.fileno(), os.O_BINARY)
              msvcrt.setmode(sys.stdout.fileno(), os.O_BINARY)
              msvcrt.setmode(sys.stderr.fileno(), os.O_BINARY)
Base Classes |
--- | ---
abstract.FileDescriptor
Methods |
--- | ---
__init__ closeStdin connectionLost connectionLostNotify doReadErr doReadOut | doWrite errConnectionLost loseConnection outConnectionLost write
| __init__
    __init__ (
            self,
            reactor,
            protocol,
            command,
            args,
            environment,
            path,
            )
| closeStdin
    closeStdin ( self )
Close the process' stdin.
| connectionLost
    connectionLost ( self )
Shut down resources.
| connectionLostNotify
    connectionLostNotify ( self )
Will be called 3 times, by stdout/err threads and process handle.
| doReadErr
    doReadErr ( self )
Runs in thread.
| doReadOut
    doReadOut ( self )
Runs in thread.
| doWrite
    doWrite ( self )
Runs in thread.
| errConnectionLost
    errConnectionLost ( self )
| loseConnection
    loseConnection ( self )
Close the process' stdout.
Exceptions |
--- | ---
NotImplementedError, "not implemented yet - fix me."
| outConnectionLost
    outConnectionLost ( self )
| write
    write ( self,  data )
Write data to the process' stdin.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0